ExtentIndexImpl (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class ExtentIndexImpl

    java.lang.Object
      java.util.AbstractCollection
          com.bbn.openmap.geo.ExtentIndex.AbstractExtentIndex
              com.bbn.openmap.geo.ExtentIndex.ArrayListExtentIndexImpl
                  com.bbn.openmap.geo.ExtentIndexImpl

All Implemented Interfaces:
  ExtentIndex, java.lang.Iterable, java.util.Collection

    public class ExtentIndexImpl

extends ExtentIndex.ArrayListExtentIndexImpl

Separable indexed database for Regional BoundingCircles. This is currently a simple longitude coverage map of the world, broken into buckets covering 1 degrees. A given BoundingCircle will show up in every bucket that it touches or comes within the margin.

This class is now a trivial extension of ExtentIndex.ArrayListExtentIndexImpl, which should probably be used instead.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.ExtentIndex
`ExtentIndex.AbstractExtentIndex, ExtentIndex.ArrayListExtentIndexImpl, ExtentIndex.HashSetExtentIndexImpl`

Field Summary

Fields inherited from class com.bbn.openmap.geo.ExtentIndex.AbstractExtentIndex
`all, buckets, D_MARGIN, D_NBUCKETS, discarded, margin, nbuckets, polar`

Constructor Summary
`ExtentIndexImpl()`
`ExtentIndexImpl(double m)`
`ExtentIndexImpl(int nb)`
`ExtentIndexImpl(int nb, double m)`

Method Summary

Methods inherited from class com.bbn.openmap.geo.ExtentIndex.ArrayListExtentIndexImpl
`makeBucket`

Methods inherited from class com.bbn.openmap.geo.ExtentIndex.AbstractExtentIndex
`add, addExtent, bucketFor, clear, indexHorizontalRange, iterator, iterator, lookup, lookup, lookupByBoundingCircle, lookupByPath, lookupBySegment, makeBucket, normalizeLon, normalizeLons, removeExtent, size, toString`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`addAll, contains, containsAll, equals, hashCode, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### ExtentIndexImpl

    public ExtentIndexImpl()

### ExtentIndexImpl

    public ExtentIndexImpl(int nb)

### ExtentIndexImpl

    public ExtentIndexImpl(double m)

### ExtentIndexImpl

    public ExtentIndexImpl(int nb,
                           double m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details